Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
13 Views

MediaSDK compatibility under Linux SLES

Hello,

I would like to use MediaSDK under SLES 12 so I installed Intel Media Server Studio 2015 on my computer. I have followed the steps documented in this file : https://software.intel.com/sites/default/files/media_server_studio_getting_started_guide.pdf under the Generic steps section but when I try to execute a simple example provided by Intel I have the following issue :

terminate called after throwing an instance of 'std::bad_alloc'
  what():  std::bad_alloc
Aborted


I figured out that this issue come from the fact I haven't uploaded the kernel to the version 3.14.5 because I can't do that for now.

I just don't understand one thing. The MediaSDK should support SLES 12 but how am I supposed to upload its kernel to the 3.14.5 version while SLES 12 doesn't support kernel version up to 3.12 ?

Is there a way to install MediaSDK without uploading the kernel ?

Thank you.

0 Kudos
10 Replies
Highlighted
Employee
13 Views

Hi Tom, 

To use the hw acceleration provided available through Media SDK, one need to install kernel patches provided. This article - https://software.intel.com/en-us/articles/how-to-setup-media-server-studio-on-secondary-os-of-linux,... more detailed step by step along with getting started guide for installing on SLES system using generic install package. 

Please let us know if you still come across any issue in installation. 

Thanks,
Surbhi

0 Kudos
Highlighted
Beginner
13 Views

Hi Surbhi,

Thank you for your answer but my problem is that I have to use Media SDK HW acceleration under SLES 12 with a kernel up to 3.12 or SLES 11. I think the easiest option for me would be to download a previous version of Intel Media SDK or Intel Media Server Studio compatible with one of those platforms. Is there such a version of the Media SDK ? If yes, can you provide me the link to download it ?

On the other case, is it possible to install the latest version without uploading the kernel ?

Thank you again.

Tom

0 Kudos
Highlighted
13 Views

Hi Tom,

For better understand your system, can you send the output of following command line ?

$ uname -r

$ cat /proc/cpuinfo | grep -i intel

$ lspci -nn | grep -i vga

Are you using Intel® Media Server Studio 2015 R6 for Linux ?

if yes, you can find install_sdk_SLES-BDW.sh under SDK2015Production16.4.2.1.tar.gz\SDK2015Production16.4.2.1.tar\SDK2015Production16.4.2.1\SLES\install_scripts_sles_bdw_16.4.2.1-39163.tar.gz\install_scripts_sles_bdw_16.4.2.1-39163.tar\

You can use following command line for your installation

(as root)

# ./install_sdk_SLES-BDW.sh

 

Thanks,

Zachary

 

0 Kudos
Highlighted
Beginner
13 Views

Hi Zachary,

First of all, thank you for your answer.

Here are the outputs of the command lines you asked me for :

~ > uname -r
3.12.28-4-default


~ > cat /proc/cpuinfo | grep -i intel
vendor_id    : GenuineIntel
model name    : Intel(R) Core(TM) i7-4790 CPU @ 3.60GHz

lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation 4th Gen Core Processor DRAM Controller [8086:0c00] (rev 06)
00:02.0 VGA compatible controller [0300]: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller [8086:0412] (rev 06)
00:03.0 Audio device [0403]: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller [8086:0c0c] (rev 06)
00:14.0 USB controller [0c03]: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI [8086:8c31] (rev 04)
00:16.0 Communication controller [0780]: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #1 [8086:8c3a] (rev 04)
00:19.0 Ethernet controller [0200]: Intel Corporation Ethernet Connection I217-V [8086:153b] (rev 04)
00:1a.0 USB controller [0c03]: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #2 [8086:8c2d] (rev 04)
00:1b.0 Audio device [0403]: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller [8086:8c20] (rev 04)
00:1d.0 USB controller [0c03]: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #1 [8086:8c26] (rev 04)
00:1f.0 ISA bridge [0601]: Intel Corporation B85 Express LPC Controller [8086:8c50] (rev 04)
00:1f.2 SATA controller [0106]: Intel Corporation 8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode] [8086:8c02] (rev 04)
00:1f.3 SMBus [0c05]: Intel Corporation 8 Series/C220 Series Chipset Family SMBus Controller [8086:8c22] (rev 04)
00:1f.6 Signal processing controller [1180]: Intel Corporation 8 Series Chipset Family Thermal Management Controller [8086:8c24] (rev 04)

I'm actually using Intel® Media Server Studio 2015 R6 but for production reasons I can't upload the kernel to version 3.14.5 in the end of the installation. I'll try to use the install_sdk_SLES-BDW.sh file to install it but I can't do that today, I hope it will be able to do that tommorow and then I'll let you know if this work or not.

Thank you again for your help.

Tom

0 Kudos
Highlighted
Beginner
13 Views

Hello,

I tried to install MediaSDK using the "install_sdk_SLES-BDW.sh" file, as you said, but it looks like the script didn't work correctly :

./install_sdk_SLES-BDW.sh
Loading repository data...
Reading installed packages...
'pattern:Basis-Devel' is already installed.
No update candidate for 'Basis-Devel-12-58.8.x86_64'. The highest available version is already installed.
Resolving package dependencies...

Nothing to do.
Loading repository data...
Reading installed packages...
'kernel-devel' is already installed.
No update candidate for 'kernel-devel-3.12.28-4.6.noarch'. The highest available version is already installed.
Resolving package dependencies...

Nothing to do.
Loading repository data...
Reading installed packages...
Package 'Mesa-devel' not found.
Package 'xorg-x11-devel' not found.
'libdrm-devel' not found in package names. Trying capabilities.
No provider of 'libdrm-devel' found.
'libpciaccess-devel' not found in package names. Trying capabilities.
No provider of 'libpciaccess-devel' found.
Loading repository data...
Reading installed packages...
Package 'xorg-x11-server-sdk' not found.
'libxshmfence-devel' not found in package names. Trying capabilities.
No provider of 'libxshmfence-devel' found.
Loading repository data...
Reading installed packages...
'pesign-obs-integration' is already installed.
No update candidate for 'pesign-obs-integration-10.0-26.2.x86_64'. The highest available version is already installed.
'hmaccalc' is already installed.
No update candidate for 'hmaccalc-0.9.13-2.3.x86_64'. The highest available version is already installed.
'rpm-build' is already installed.
No update candidate for 'rpm-build-4.11.2-5.92.x86_64'. The highest available version is already installed.
'crash-kmp-default' is already installed.
No update candidate for 'crash-kmp-default-7.0.5_k3.12.28_4-7.12.x86_64'. The highest available version is already
installed.
Resolving package dependencies...

Nothing to do.
error: Failed dependencies:
    pkgconfig(gl) is needed by libva-devel-1.3.1-staging.20130628.39163.x86_64
    pkgconfig(x11) is needed by libva-devel-1.3.1-staging.20130628.39163.x86_64
    pkgconfig(xfixes) is needed by libva-devel-1.3.1-staging.20130628.39163.x86_64
Installing kmp...
Preparing... ################################# [100%]
Updating / installing...
1:drm-kmp-default-3.17.8_k3.12.32_3################################# [100%]
Creating initrd: /boot/initrd-3.12.28-4-default
Executing: /usr/bin/dracut --logfile /var/log/YaST2/mkinitrd.log --force /boot/initrd-3.12.28-4-default 3.12.28-4-default
*** Including module: bash ***
*** Including module: warpclock ***
*** Including module: i18n ***
*** Including module: ifcfg ***
*** Including module: drm ***
*** Including module: plymouth ***
*** Including module: btrfs ***
*** Including module: kernel-modules ***
*** Including module: resume ***
*** Including module: rootfs-block ***
*** Including module: terminfo ***
*** Including module: udev-rules ***
Skipping udev rule: 91-permissions.rules
Skipping udev rule: 80-drivers-modprobe.rules
*** Including module: systemd ***
*** Including module: usrmount ***
*** Including module: base ***
*** Including module: fs-lib ***
*** Including module: shutdown ***
*** Including module: suse ***
*** Including modules done ***
*** Installing kernel module dependencies and firmware ***
*** Installing kernel module dependencies and firmware done ***
*** Resolving executable dependencies ***
*** Resolving executable dependencies done***
*** Hardlinking files ***
*** Hardlinking files done ***
*** Stripping files ***
*** Stripping files done ***
*** Generating early-microcode cpio image ***
*** Constructing GenuineIntel.bin ****
*** Store current command line parameters ***
Stored kernel commandline:
 resume=UUID=816a0261-474b-410e-aa91-11aaa671dcae
root=UUID=38a6058b-7f88-4712-8cc0-1ecf734a5974 rootflags=rw,relatime,space_cache rootfstype=btrfs
*** Creating image file ***
*** Creating image file done ***
Update bootloader...
+++ Intstall complete, adding HotFixes
intel-linux-media-patches-39163/
intel-linux-media-patches-39163/libdispatch_trace.a
intel-linux-media-patches-39163/libdispatch_shared.a
intel-linux-media-patches-39163/README
intel-linux-media-patches-39163/libmfx-tracer.so
intel-linux-media-patches-39163/KMD-patches-for-realtime-threads/
intel-linux-media-patches-39163/KMD-patches-for-realtime-threads/0001-Work-around-to-avoid-reduce-spinning-in-the-userspac.patch

intel-linux-media-patches-39163/KMD-patches-for-realtime-threads/README
intel-linux-media-patches-39163/KMD-patches-for-realtime-threads/0001-Reducing-KMD-polling-on-ioctl-calls.patch
‘intel-linux-media-patches-39163/libdispatch_trace.a’ -> ‘/opt/intel/mediasdk/lib/lin_x64/’
cp: cannot create regular file ‘/opt/intel/mediasdk/lib/lin_x64/’: No such file or directory
‘intel-linux-media-patches-39163/libdispatch_shared.a’ -> ‘/opt/intel/mediasdk/lib/lin_x64/’
cp: cannot create regular file ‘/opt/intel/mediasdk/lib/lin_x64/’: No such file or directory
‘intel-linux-media-patches-39163/libmfx-tracer.so’ -> ‘/opt/intel/mediasdk/tools/tracer/
cp: cannot create regular file ‘/opt/intel/mediasdk/tools/tracer/’: No such file or directory
+++ HotFixes installed, cleanup

Actually, when I try to run the simple_session.cc example provided by Intel samples, I get this message :

./_build/simple_session: error while loading shared libraries: libva.so.1: cannot open shared object file: No such file or directory

Do you know what is the problem ?

Thank you.

 

 

0 Kudos
Highlighted
13 Views

Hi Tom,

It looks like we need to fix all errors when run "install_sdk_SLES-BDW.sh", and "install_sdk_SLES-BDW.sh" is for kernel 3.12.32-33-default, but your kernel is 3.12.28-4-default,

so upgrade KMD failed. you can find folder SDK2015Production16.4.2.1\SLES\drm-kmp-default-3.17.8_k3.12.32_33-39163.x86_64.rpm\drm-kmp-default-3.17.8_k3.12.32_33-39163.x86_64.cpio\.\lib\modules\3.12.32-33-default\ in R6 package.

Is it possible for you to upgrade kernel to 3.12.32-33-default ?

About your cpu, can you help to confirm it is  i7-4790 or Xeon E3-1200 ? It make me confuse.

can you resend the output of following command line ?

$ cat /proc/cpuinfo | grep -i intel

$ lspci -nn | grep -i vga

 

Thanks,

Zachary

 

0 Kudos
Highlighted
Beginner
13 Views

Hi,

Yeah I was also confused by the output of my commands but I have a i7-4790 processor with HD Graphics 4600. I can't provide you the output of these lines because somebody else uses the computer under Windows but I'll give them to you as soon as I can.

After a long discussion with my collegues, we agree that we could upgrade the kernel to version 3.12.49 by installing SLES SP1. I hope the installtion file will still work with this kernel. I'm gonna try it on Monday and I'll let you know what happened.

Regards,

Tom

0 Kudos
Highlighted
13 Views

Hi Tom,

currently only 3.12.32-33-default  is supported by "install_sdk_SLES-BDW.sh", if you want to use other kernel versions, you should merge KMD patches from 3.12.32-33-default to your kernel.

you can found KMD patches for 3.12.32-33-default  in following path

SDK2015Production16.4.2.1.tar\SDK2015Production16.4.2.1\SLES\drm-3.17.8-39163.src.rpm\drm-3.17.8-39163.src.cpio\

0001-drm-i915-Rework-ppgtt-init-to-no-require-an-aliasing.patch

.......

0524-VPG-drm-i915-add-MFD_MB_COUNT-for-error-status-repor.patch

 

Thanks,

Zachary

 

0 Kudos
Highlighted
Beginner
13 Views

Hello,

Unfortunatly, I'm just able to use official kernel, I can't use kernel version Intel provide or apply patches on it. Why do we need to update the kernel ? Is there no way to use MediaSDK with an official kernel version without changing it, even if I have to use CentOS or another platform ?

Regards,

Tom

0 Kudos
Highlighted
13 Views

Hi Tom,

The patches provided by Intel are support to use OpenCL and Look ahead bitrate control method. And the patches was verified by Intel. And the patches is only for special kernel version

These patches have not been merged in kernel mainline. so apply patches is must when use Media SDK, even use CentOS or another platform.

 

Thanks,

Zachary

 

0 Kudos